com.smartgwt.client.widgets.events

## Interface HasMouseStillDownHandlers

- All Superinterfaces:
    com.google.gwt.event.shared.HasHandlers
  All Known Implementing Classes:
    ActiveXControl, AdvancedHiliteEditor, Applet, BatchUploader, BrowserPlugin, Button, Calendar, CalendarView, Canvas, ColorPicker, ColumnTree, CubeGrid, DataView, DateChooser, DateGrid, DateRangeDialog, Deck, DetailViewer, Dialog, DrawKnob, DrawPane, DynamicForm, EdgedCanvas, EditPane, EditTree, EventCanvas, EventWindow, FacetChart, FieldPicker, FieldPickerWindow, FilterBuilder, FilterClause, Flashlet, FlowLayout, Gauge, GridRenderer, HeaderControl, HiliteEditor, HiliteRule, HLayout, HStack, HTMLFlow, HTMLPane, IButton, IconButton, IconMenuButton, IMenuButton, Img, ImgButton, ImgSectionHeader, ImgSplitbar, ImgTab, IndicatorCanvas, Label, Layout, LayoutSpacer, ListGrid, ListPalette, ListPropertiesDialog, ListPropertiesPane, Menu, MenuBar, MenuButton, MenuPalette, MiniNavControl, MultiFilePicker, MultiGroupDialog, MultiGroupPanel, NavigationBar, NavigationButton, NavPanel, PickListMenu, PortalLayout, Portlet, PrintCanvas, PrintWindow, Progressbar, PropertySheet, RangeSlider, RecordEditor, RibbonBar, RibbonGroup, RichTextEditor, Scrollbar, SearchForm, SectionHeader, SectionStack, SelectionTreeMenu, SimpleTile, Slider, Snapbar, Splitbar, SplitPane, StatefulCanvas, StretchImg, StretchImgButton, SVG, TabBar, TableView, TabSet, TileGrid, TileLayout, TilePalette, Timeline, Toolbar, ToolStrip, ToolStripButton, ToolStripGroup, ToolStripMenuButton, ToolStripResizer, ToolStripSeparator, TransferImgButton, TreeGrid, TreeMenuButton, TreePalette, ViewLoader, VisualBuilder, VLayout, VStack, WidgetCanvas, Window, ZoneCanvas

      public interface HasMouseStillDownHandlers
      extends com.google.gwt.event.shared.HasHandlers

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.event.shared.HandlerRegistration` | `addMouseStillDownHandler(MouseStillDownHandler handler)` Repeating notification method for the user holding the left mouse button down over this canvas.

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Method Detail

    - #### addMouseStillDownHandler

          com.google.gwt.event.shared.HandlerRegistration addMouseStillDownHandler(MouseStillDownHandler handler)

      Repeating notification method for the user holding the left mouse button down over this canvas.

      The `mouseStillDown` event is fired immediately when the mouse goes down. If the user holds the mouse down, after a pause of `mouseStillDownInitialDelay`, it will begin to fire repeatedly every `mouseStillDownDelay` milliseconds.

      This provides developers with a simple way to handle the common "repeated action" use case where a user can click a UI element to perform an action once, or click and hold to perform the action repeatedly.
      Examples of this include standard scrollbar button behavior and buttons to increase or decrease the value in a spinner type input element.

      This event is not native to JavaScript, but is provided by the ISC system.

      Parameters:
        `handler` - the mouseStillDown handler
      Returns:
        `HandlerRegistration` used to remove this handler